=== debian/changelog ===
mesa (20.3.4.2-1) unstable; urgency=medium

  * update

 -- Debian X Strike Force <debian-x@lists.debian.org>  Mon, 01 Nov 2021 19:59:30 +0800

mesa (20.3.4.1-1) unstable; urgency=medium

  [ shuaijie ]
  * new feature  2k video hardware decoder for GPU CHIP_OLAND
  *modify the GPU OLAND para limit and update the hardware decoder function  up to 2K.mpv play 2k video file  hwdec fail  before , so redefine the  capability  parameter,  up to  2560*1440.
 -- shuaijie <shuaijie@uniontech.com>  Fri, 27 AUg 2021 18:06:42 +0800

mesa (20.3.4-1) unstable; urgency=medium

  [ Keith Packard ]
  * Build most drivers for riscv64 targets

  [ Timo Aaltonen ]
  * New upstream release.
  * lavapipe-Defer-lavapipe-warning-to-CreateDevice.patch: Dropped,
    upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 31 Jan 2021 20:26:42 +0200

mesa (20.3.3-1) unstable; urgency=medium

  * New upstream release.
  * path_max.diff: Updated.
  * lavapipe-Defer-lavapipe-warning-to-CreateDevice.patch:
    Don't print a warning which might confuse users to think they're on
    swrast vulkan.
  * rules: Use 'enabled' instead of 'true' for DRI3.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Jan 2021 15:16:30 +0200

mesa (20.3.2-1) unstable; urgency=medium

  * New upstream release.
  * rules: Enable lavapipe (vulkan swrast) where llvm and vulkan is
    enabled.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 03 Jan 2021 20:30:50 +0200

mesa (20.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Dec 2020 10:23:30 +0200

mesa (20.3.0-2) experimental; urgency=medium

  * rules: Fix the name of the broadcom vulkan driver.
  * control, rules: Drop llvm support from kfreebsd, as llvm isn't built
    there.
  * rules: Enable gallium swrast (softpipe) and OSMesa everywhere, as
    they're not actually tied to llvm being available.
  * rules: Move common settings for !hurd to the top.
  * rules: Use a better method to build the arrays of drivers, thanks
    Witold Baryluk! (Closes: #972736)
  * rules: Clarify the status of wayland support on non-linux ports.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Dec 2020 14:21:30 +0200

mesa (20.3.0-1) experimental; urgency=medium

  * New upstream release.
  * rules: Enable v3dv on armhf/arm64, and zink where vulkan is
    available. (Closes: #975679)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Dec 2020 16:39:42 +0200

mesa (20.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Nov 2020 17:00:27 +0200

mesa (20.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Add libxcb-shm0-dev to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 11 Nov 2020 18:29:42 +0200

mesa (20.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Dec 2020 06:42:32 +0200

mesa (20.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Dec 2020 23:32:56 +0200

mesa (20.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Dec 2020 15:11:48 +0200

mesa (20.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Nov 2020 13:32:39 +0200

mesa (20.2.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Enable libdrm-dev for Hurd. (Closes: #973673)
  * rules: Rework EGL_PLATFORMS to match current upstream defaults.
  * rules: Fix warnings from deprecated options. (Closes: #973675)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Nov 2020 22:38:16 +0200

mesa (20.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Oct 2020 12:38:36 +0300

mesa (20.2.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Add libclang-cpp11-dev to build-depends. (Closes: #954849)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Sep 2020 11:07:13 +0300

mesa (20.2.0~rc4-2) experimental; urgency=medium

  * Migrate to llvm/clang-11.
  * path_max.diff: Updated. (Closes: #969040)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Sep 2020 12:07:08 +0300

mesa (20.2.0~rc4-1) experimental; urgency=medium

  * New upstream prerelease.
  * rules: Move radv rule up to fix build on non-intel archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Sep 2020 19:32:58 +0300

mesa (20.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Get rid of trailing commas in *_DRIVERS options.
  * control: Bump libglvnd build-dep.
  * Update mesa-common-dev.docs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Aug 2020 18:30:42 +0300

mesa (20.1.9-1) unstable; urgency=medium

  * New upstream release.
  * control: Add libclang-cpp11-dev to build-depends. (Closes: #954849)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Oct 2020 10:12:00 +0300

mesa (20.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Sep 2020 11:23:02 +0300

mesa (20.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Sep 2020 14:45:01 +0300

mesa (20.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Aug 2020 21:08:41 +0300

mesa (20.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Aug 2020 10:32:11 +0300

mesa (20.1.4-1) unstable; urgency=medium

  * New upstream release.
  * fix-ppc64el.patch: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jul 2020 15:59:19 +0300

mesa (20.1.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #963677)
  * mesa-vulkan-drivers: Add support for device-select-layer.
  * control, rules: Enable valgrind where supported. (Closes: #890846)


